Subject: [PATCH 05/12] gnu: python-aws-xray-sdk: Update to 2.8.0.

From: Pierre Langlois <[email-masked]>
Date: Wed, 21 Jul 2021 14:50:19 +0100

* gnu/packages/python-web.scm (python-aws-xray-sdk): Update to 2.8.0.
[arguments]: Skip sqlalchemy_core/test_postgres.py and django/test_settings.py
tests.  Honour tests? option in 'check phase.
---
 gnu/packages/python-web.scm | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index a677645814..82944c1711 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -398,7 +398,7 @@ Model} (SAM) templates into AWS CloudFormation templates.")
 (define-public python-aws-xray-sdk
   (package
     (name "python-aws-xray-sdk")
-    (version "2.6.0")
+    (version "2.8.0")
     (home-page "https://github.com/aws/aws-xray-sdk-python")
     (source (origin
               (method git-fetch)
@@ -406,7 +406,7 @@ Model} (SAM) templates into AWS CloudFormation templates.")
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "12fzr0ylpa1lx3xr1x2f1jx8iiyzcr6g57fb9jign0j0lxdlbzpv"))))
+                "1kxhplfhb1asnqk0vr0r3adq0ainwhy5fn0x7xjvihslrj6f77xl"))))
     (build-system python-build-system)
     (arguments
      `(#:phases (modify-phases %standard-phases
@@ -420,6 +420,7 @@ Model} (SAM) templates into AWS CloudFormation templates.")
                                   "tests/ext/psycopg2/test_psycopg2.py"
                                   "tests/ext/pymysql/test_pymysql.py"
                                   "tests/ext/pynamodb/test_pynamodb.py"
+                                  "tests/ext/sqlalchemy_core/test_postgres.py"
                                   "tests/test_async_recorder.py"

                                   ;; FIXME: Why is this failing?
@@ -428,17 +429,19 @@ Model} (SAM) templates into AWS CloudFormation templates.")
                                   ;; TODO: How to configure Django for these tests.
                                   "tests/ext/django/test_db.py"
                                   "tests/ext/django/test_middleware.py"
+                                  "tests/ext/django/test_settings.py"

                                   ;; These tests want to access httpbin.org.
                                   "tests/ext/requests/test_requests.py"
                                   "tests/ext/httplib/test_httplib.py"
                                   "tests/ext/aiohttp/test_client.py"))))
                   (replace 'check
-                    (lambda _
+                    (lambda* (#:key tests? #:allow-other-keys)
                       (setenv "PYTHONPATH"
                               (string-append "./build/lib:.:"
                                              (getenv "PYTHONPATH")))
-                      (invoke "pytest" "-vv" "tests"))))))
+                      (when tests?
+                        (invoke "pytest" "-vv" "tests")))))))
     (native-inputs
      `(;; These are required for the test suite.
        ("python-bottle" ,python-bottle)
--
2.32.0